Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class TranscriptAlleleHelper

    java.lang.Object
      org.ensembl.datamodel.TranscriptAlleleHelper

public final class TranscriptAlleleHelper
extends java.lang.Object

Denormalised representation of the transcript optimised for answering questions about variations. Precalculates and caches variation related information about the transcript.

Author:
  Craig Melsopp TODO finish testing: org.ensembl.variation.test.TranscriptAlleleHelperTest TODO add Transcript.getTranscriptAlleleHelper() once testing completed. TODO compare results to perl API. TODO optimise further?

Constructor Summary
`TranscriptAlleleHelper(Transcript transcript)` Denormalise relevant information from transcript.

Method Summary
`java.util.List` | `toAlleleConsequences(AlleleFeature alleleFeature)` Converts an alleleFeature into zero or more alleleConsequences.
`java.util.List` | `toAlleleConsequences(java.util.List alleleFeatures)` Converts one or more alleleFeatures into alleleConsequences.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String separator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TranscriptAlleleHelper

    public TranscriptAlleleHelper(Transcript transcript)

  Denormalise relevant information from transcript.

Parameters:
  `transcript` - source transcript.

Method Detail

### toString

    public java.lang.String toString()

### toString

    public java.lang.String toString(java.lang.String separator)

### toAlleleConsequences

    public java.util.List toAlleleConsequences(java.util.List alleleFeatures)
                                        throws AdaptorException

  Converts one or more alleleFeatures into alleleConsequences.

  Parameters:
    `alleleFeatures` - alleleFeatures to be converted.
  Returns:
    zero or more AlleleConsequences
  Throws:
    `AdaptorException`

### toAlleleConsequences

    public java.util.List toAlleleConsequences(AlleleFeature alleleFeature)
                                        throws AdaptorException

  Converts an alleleFeature into zero or more alleleConsequences.

  Parameters:
    `alleleFeature` - alleleFeature to be converted.
  Returns:
    zero or more AlleleConsequences
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD